
#include "mt85xx_timer.h"

int get_mt85xx_time(struct timeval *tv)
{
    int ret, fd_bsp;
    HAL_TIME_T pTime;

    fd_bsp = open("/dev/bsp", O_RDWR);
	if(fd_bsp == -1)
	{
	  LOGPRINTF(1,"open /dev/bsp fail\n");
	  return (-1);
	}
	
	ret = ioctl(fd_bsp, 1, &pTime);
    if(ret != 0)
    {
	  LOGPRINTF(1,"ioctl /dev/bsp fail\n");
	  return (-1);
	}
	
	ret = close(fd_bsp);
    if(ret != 0)
    {
	  LOGPRINTF(1,"close /dev/bsp fail\n");
	  return (-1);
	}

	tv->tv_sec = pTime.u4Seconds;
	tv->tv_usec = pTime.u4Micros;

	return (0);
}

